Bug 32743 - Wrong layout when paste thousands calc cells in Writer
Summary: Wrong layout when paste thousands calc cells in Writer
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 Beta2
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Paste
  Show dependency treegraph
 
Reported: 2010-12-30 08:10 UTC by Stefano Fraccaro
Modified: 2019-09-20 03:05 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
1000 Calc cell pasted in Writer (64.96 KB, image/jpeg)
2010-12-30 08:11 UTC, Stefano Fraccaro
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefano Fraccaro 2010-12-30 08:10:57 UTC
Steps to reproduce:
1. Open Calc
2. Add some value to first 1000 (A1:A1000) cell
3. Copy content of cells A1:A1000 to clipboard
4. Open Writer
5. Edit -> Paste special -> Calc8 (or Edit -> Paste)
6. All thousands cells are in the same page (seems a line, not a table in my case) and, oviously, are not human readable

Expected: cells pasted in several pages

LibreOffice 3.3 rc2 in Windows XP SP3
OpenOffice 3.2 has the same behaviour (old bug?)
Comment 1 Stefano Fraccaro 2010-12-30 08:11:45 UTC
Created attachment 41529 [details]
1000 Calc cell pasted in Writer
Comment 2 Jeffrey 2011-06-15 22:59:37 UTC
Reproducible in LibreOffice 3.4  340m1(Build:12) on Suse.
I seem to have the exact same problem when copying and pasting 1000 rows' worth of cells.
Comment 3 Björn Michaelsen 2011-12-23 11:34:21 UTC Comment hidden (obsolete)
Comment 4 Stefano Fraccaro 2011-12-27 00:53:22 UTC
Same behaviour in LODev 3.5.0beta2
Comment 5 A (Andy) 2013-05-01 07:20:17 UTC
reproducible with LO 4.0.2.2 (Win7 Home, 64bit)

Note: It is not necessary to use PASTE SPECIAL, it also happens with the normal pasting Ctrl + V.
Comment 6 ign_christian 2014-09-22 03:40:16 UTC
I think RFE in Bug 62672 covers this issue. 

How about merging these bug reports?
Comment 7 QA Administrators 2015-10-14 19:56:57 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2016-11-08 11:14:09 UTC Comment hidden (obsolete)
Comment 9 Thomas Lendo 2017-09-18 20:17:44 UTC
Reproduced with Version: 6.0.0.0.alpha0+
Build-ID: 7315f325ff7ada3d6bd85a471058fdaeaff8cdb0
CPU-Threads: 4; Betriebssystem:Linux 4.10; UI-Render: Standard; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-09-17_06:58:21
Gebietsschema: de-DE (de_DE.UTF-8); Calc: group
Comment 10 QA Administrators 2018-09-19 02:51:38 UTC Comment hidden (obsolete)
Comment 11 Thomas Lendo 2018-09-19 14:29:48 UTC
Still reproducible.

Version: 6.2.0.0.alpha0+ (x64)
Build ID: 18c5089df091bddeb8c2dc339776671964389040
CPU threads: 8; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-09-12_23:24:12
Locale: de-AT (de_AT); Calc: CL

Paste special's 'Calc8' is named 'LibreOfficeXYZ Spreadsheet' now.
Same result with normal paste command (ctrl + v).
Comment 12 QA Administrators 2019-09-20 03:05:39 UTC
Dear Stefano Fraccaro,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug